Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518772 - [F28 change] openldap should not require tcp_wrappers
Summary: [F28 change] openldap should not require tcp_wrappers
Keywords:
Status: CLOSED DUPLICATE of bug 1531487
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matus Honek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:53 UTC by Jakub Jelen
Modified: 2018-06-28 08:10 UTC (History)
2 users (show)

Fixed In Version: openldap-2.4.45-8.f28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-22 13:52:57 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 14:53:45 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 2 Fedora End Of Life 2018-02-20 15:25:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Matus Honek 2018-02-22 13:52:57 UTC
This is now fixed, as stated in bug 1531487 comment 1, that is since openldap-2.4.45-8.f28. Closing as a duplicate of the mentioned bug.

*** This bug has been marked as a duplicate of bug 1531487 ***


Note You need to log in before you can comment on or make changes to this bug.